changeset 1127:1f51b4a0517b

The install-tools debris this script deletes wasn't there in gcc 3.x, so allow the delete to fail gracefully when USE_UNSTABLE his hooked up to an ancient version.
author Rob Landley <rob@landley.net>
date Sat, 19 Jun 2010 16:42:03 -0500
parents 08a3feee2c02
children e5f9681a8b3c
files sources/sections/gcc.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/sources/sections/gcc.sh	Sat Jun 19 16:39:16 2010 -0500
+++ b/sources/sections/gcc.sh	Sat Jun 19 16:42:03 2010 -0500
@@ -90,11 +90,11 @@
 
 ln -s lib "$STAGE_DIR/lib64" &&
 make -j $CPUS install-gcc &&
-rm "$STAGE_DIR/lib64" &&
+rm "$STAGE_DIR/lib64" || dienow
 
 # Move the gcc internal libraries and headers somewhere sane
 
-rm -rf "$STAGE_DIR"/lib/gcc/*/*/install-tools &&
+rm -rf "$STAGE_DIR"/lib/gcc/*/*/install-tools 2>/dev/null
 mv "$STAGE_DIR"/lib/gcc/*/*/include "$STAGE_DIR"/cc/include &&
 mv "$STAGE_DIR"/lib/gcc/*/*/* "$STAGE_DIR"/cc/lib &&